﻿using System;
using System.Collections.Generic;
using System.IO;

namespace Smdn.Formats.Ini {
  internal static class Formatter {
    // TODO: コメント、記述順を維持した上書き
    public static void Format(Document document, TextWriter writer)
    {
      var sections = new List<Section>(document.Sections);

      // format default section
      var defaultSection = sections.Find(delegate(Section s) {
        return (string.Empty.Equals(s.Name));
      });

      if (defaultSection != null) {
        FormatEntries(defaultSection, writer);
        sections.Remove(defaultSection);
      }

      // format other sections
      foreach (Section section in sections) {
        FormatSection(section, writer);
        FormatEntries(section, writer);
      }
    }
    
    private static void FormatSection(Section section, TextWriter writer)
    {
      writer.WriteLine("[{0}]", section.Name);
    }

    private static void FormatEntries(Section section, TextWriter writer)
    {
      foreach (KeyValuePair<string, string> entry in section) {
        writer.WriteLine("{0}={1}", entry.Key, entry.Value);
      }
    }
  }
}
