using System;

namespace Smdn.Protocols.Pop3.Protocol {
  // ResponseTypes:
  //   PopProtocolResponse(abstract base)
  //     => handles all response
  //     PopStatusResponse
  //       => handles '+OK' or '-ERR' status indicator responses
  //     PopFollowingResponse
  //       => handles a line of following multi-line response after ImapStatusResponse
  //     PopTerminationResponse
  //       => handles a termination of multi-line response (CRLF.CRLF)
  //     PopContinuationRequest
  //       => handles 'RFC 1734 POP3 AUTHentication command' continuation request

  public class PopContinuationRequest : PopProtocolResponse {
    public string Text {
      get { return text; }
    }

    public PopContinuationRequest(string text, string response)
      : base(response)
    {
      this.text = text;
    }

    public override string ToString()
    {
      return string.Format("{{Text={0}}}", text);
    }

    private readonly string text;
  }
}