using System;

namespace Smdn.Protocols.Pop3.Protocol {
  // ResponseTypes:
  //   PopProtocolResponse(abstract base)
  //     => handles all response
  //     PopStatusResponse
  //       => handles '+OK' or '-ERR' status indicator responses
  //     PopFollowingResponse
  //       => handles a line of following multi-line response after ImapStatusResponse
  //     PopTerminationResponse
  //       => handles a termination of multi-line response (CRLF.CRLF)
  //     PopContinuationRequest
  //       => handles 'RFC 1734 POP3 AUTHentication command' continuation request

  public class PopStatusResponse : PopProtocolResponse {
    public PopProtocolStatus Status {
      get { return status; }
    }

    public string Message {
      get { return message; }
    }

    public PopStatusResponse(PopProtocolStatus status, string message, string response)
      : base(response)
    {
      this.status = status;
      this.message = message;
    }

    public override string ToString()
    {
      return string.Format("{{Status={0}, Message={1}}}", status, message);
    }

    private readonly PopProtocolStatus status;
    private readonly string message;
  }
}