using System;

namespace Smdn.Protocols.Pop3.Transaction {
  // Layers:
  //   Client.PopClient
  //   Client.PopClientAgent
  //   Session.PopSessionAgent
  //   Session.PopSession
  //   Transaction.PopTransactionAgent
  // * Transaction.PopTransaction/Transaction.PopRequest/Transaction.PopResponse
  //   Protocol.PopConnection/Protocol.PopProtocolCommand/Protocol.PopProtocolResponse
  //   (POP3)

  public class PopResponse {
    public PopTransactionStatus Status {
      get { return status; }
    }

    public string Description {
      get { return description; }
    }

    internal PopResponse(PopTransactionStatus status, string description)
    {
      this.status = status;
      this.description = description;
    }

    public override string ToString()
    {
      return string.Format("{{Status={0} Description={1}}}", status, description);
    }

    private readonly PopTransactionStatus status;
    private readonly string description;
  }
}
