using System;

namespace Smdn.Protocols.Pop3.Transaction {
  public enum PopTransactionStatus : int {
    // 1xx Informational(not used)
    
    // 2xx Success
    Ok                    = 200,  // 成功した(positive応答)
    Done                  = 250,  // 現在のクライアントの状態では無意味な操作のためコマンドを実行しなかった

    // 3xx Redirection(not used)

    // 4xx Client error
    BadRequest            = 400,  // 受け付けられないリクエスト
    Unauthorized          = 401,  // 現在のクライアントの状態では許可されないコマンド
    Forbidden             = 403,  // 失敗(negative応答)、または許可されない操作
    NotFound              = 404,  // 指定されたメッセージが見付からない
    RequestTimeout        = 408,  // リクエストがタイムアウトした、またはリクエストを中断した
    TransactionProgress   = 491,  // 他のトランザクションが進行中 <SIP 491 Request Pending>

    // 5xx Server error
    Incapable             = 501,  // サーバにそのコマンドを処理する能力がない <HTTP 501 Not Implemented>
  }
}
